prepare_data {sglOptim} | R Documentation

## Prepare a sgldata data object

### Description

Creates a sgldata data object from a matrix or vector

### Usage

    prepare_data(x, default = NULL, type = "numeric", sparse = is(x,
      "sparseMatrix"))

### Arguments

`x` | the matrix,
`default` | default value, returned if x is null
`type` | data type, 'numeric' or 'integer'
`sparse` | if TRUE `y` will be treated as sparse, if FALSE `y` will be treated as dens.

### Author(s)

Martin Vincent

### See Also

Other sgldata: `add_data.sgldata`, `create.sgldata`, `prepare.args.sgldata`, `prepare.args`, `rearrange.sgldata`, `subsample.sgldata`

[Package sglOptim version 1.3.8 Index]